Index: uspace/lib/usbdev/include/usb/dev/poll.h
===================================================================
--- uspace/lib/usbdev/include/usb/dev/poll.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbdev/include/usb/dev/poll.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -60,5 +60,8 @@
 	size_t request_size;
 
-	/** Data buffer of at least `request_size`. User is responsible for its allocation. */
+	/**
+	 * Data buffer of at least `request_size`. User is responsible for its
+	 * allocation.
+	 */
 	uint8_t *buffer;
 
@@ -75,6 +78,7 @@
 
 
-	/** Optional parameters - user can customize them, but they are defaulted to
-	 *  some reasonable values.
+	/**
+	 * Optional parameters - user can customize them, but they are
+	 * defaulted to  some reasonable values.
 	 */
 
@@ -86,5 +90,8 @@
 	int debug;
 
-	/** Maximum number of consecutive errors before polling termination (default 3). */
+	/**
+	 * Maximum number of consecutive errors before polling termination
+	 * (default 3).
+	 */
 	size_t max_failures;
 
@@ -121,6 +128,8 @@
 
 
-	/** Internal parameters - user is not expected to set them. Messing with them
-	 *  can result in unexpected behavior if you do not know what you are doing.
+	/**
+	 * Internal parameters - user is not expected to set them. Messing with
+	 * them can result in unexpected behavior if you do not know what you
+	 * are doing.
 	 */
 
Index: uspace/lib/usbdev/src/dp.c
===================================================================
--- uspace/lib/usbdev/src/dp.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbdev/src/dp.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -127,5 +127,6 @@
  * @retval -1 Invalid input.
  */
-static int get_descriptor_type(const usb_dp_parser_data_t *data, const uint8_t *start)
+static int get_descriptor_type(const usb_dp_parser_data_t *data,
+    const uint8_t *start)
 {
 	if (start == NULL) {
@@ -258,5 +259,6 @@
 	int parent_type = get_descriptor_type(data, parent);
 	int possible_sibling_type = get_descriptor_type(data, possible_sibling);
-	if (is_nested_descriptor_type(parser, possible_sibling_type, parent_type)) {
+	if (is_nested_descriptor_type(parser,
+		    possible_sibling_type, parent_type)) {
 		return possible_sibling;
 	} else {
Index: uspace/lib/usbdev/src/pipes.c
===================================================================
--- uspace/lib/usbdev/src/pipes.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbdev/src/pipes.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -338,5 +338,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_write_dma(usb_pipe_t *pipe, void *base, void* ptr,  size_t size)
+errno_t usb_pipe_write_dma(usb_pipe_t *pipe, void *base, void *ptr, size_t size)
 {
 	assert(pipe);
@@ -377,5 +377,6 @@
 /** Initialize USB default control pipe.
  *
- * This one is special because it must not be registered, it is registered automatically.
+ * This one is special because it must not be registered, it is registered
+ * automatically.
  *
  * @param pipe Endpoint pipe to be initialized.
@@ -383,5 +384,6 @@
  * @return Error code.
  */
-errno_t usb_pipe_initialize_default_control(usb_pipe_t *pipe, usb_dev_session_t *bus_session)
+errno_t usb_pipe_initialize_default_control(usb_pipe_t *pipe,
+    usb_dev_session_t *bus_session)
 {
 	const errno_t ret = usb_pipe_initialize(pipe, bus_session);
@@ -402,5 +404,7 @@
  * @return Error code.
  */
-errno_t usb_pipe_register(usb_pipe_t *pipe, const usb_standard_endpoint_descriptor_t *ep_desc, const usb_superspeed_endpoint_companion_descriptor_t *comp_desc)
+errno_t usb_pipe_register(usb_pipe_t *pipe,
+    const usb_standard_endpoint_descriptor_t *ep_desc,
+    const usb_superspeed_endpoint_companion_descriptor_t *comp_desc)
 {
 	assert(pipe);
@@ -429,5 +433,6 @@
 #undef COPY
 
-	const errno_t ret = usbhc_register_endpoint(exch, &pipe->desc, &descriptors);
+	const errno_t ret = usbhc_register_endpoint(exch,
+	    &pipe->desc, &descriptors);
 	async_exchange_end(exch);
 	return ret;
Index: uspace/lib/usbhid/src/hidpath.c
===================================================================
--- uspace/lib/usbhid/src/hidpath.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbhid/src/hidpath.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -73,9 +73,9 @@
  * @return Error code
  */
-errno_t usb_hid_report_path_append_item(usb_hid_report_path_t *usage_path, 
-                                    int32_t usage_page, int32_t usage)
-{	
-	usb_hid_report_usage_path_t *item
-		= malloc(sizeof(usb_hid_report_usage_path_t));
+errno_t usb_hid_report_path_append_item(usb_hid_report_path_t *usage_path,
+    int32_t usage_page, int32_t usage)
+{
+	usb_hid_report_usage_path_t *item =
+	    malloc(sizeof(usb_hid_report_usage_path_t));
 
 	if (item == NULL) {
@@ -87,5 +87,5 @@
 	item->usage_page = usage_page;
 	item->flags = 0;
-	
+
 	list_append (&item->rpath_items_link, &usage_path->items);
 	usage_path->depth++;
@@ -96,5 +96,5 @@
 /**
  * Removes last item from the usage path structure
- * @param usage_path 
+ * @param usage_path
  * @return void
  */
@@ -103,6 +103,6 @@
 	link_t *item_link;
 	usb_hid_report_usage_path_t *item;
-	
-	if(!list_empty(&usage_path->items)){
+
+	if (!list_empty(&usage_path->items)) {
 		item_link = list_last(&usage_path->items);
 		item = list_get_instance(item_link,
@@ -124,8 +124,8 @@
 {
 	usb_hid_report_usage_path_t *item;
-	
-	if(!list_empty(&usage_path->items)){
+
+	if (!list_empty(&usage_path->items)) {
 		item = list_get_instance(list_last(&usage_path->items),
-			usb_hid_report_usage_path_t, rpath_items_link);
+		    usb_hid_report_usage_path_t, rpath_items_link);
 
 		memset(item, 0, sizeof(usb_hid_report_usage_path_t));
@@ -143,32 +143,24 @@
  * @return void
  */
-void usb_hid_report_set_last_item(usb_hid_report_path_t *usage_path, 
-                                  int32_t tag, int32_t data)
+void usb_hid_report_set_last_item(usb_hid_report_path_t *usage_path,
+    int32_t tag, int32_t data)
 {
 	usb_hid_report_usage_path_t *item;
-	
-	if(!list_empty(&usage_path->items)){
+
+	if (!list_empty(&usage_path->items)) {
 		item = list_get_instance(list_last(&usage_path->items),
 		     usb_hid_report_usage_path_t, rpath_items_link);
 
-		switch(tag) {
-			case USB_HID_TAG_CLASS_GLOBAL:
-				item->usage_page = data;
-				break;
-			case USB_HID_TAG_CLASS_LOCAL:
-				item->usage = data;
-				break;
-		}
-	}
-	
-}
-
-
-/**
- *
- *
- *
- *
- */
+		switch (tag) {
+		case USB_HID_TAG_CLASS_GLOBAL:
+			item->usage_page = data;
+			break;
+		case USB_HID_TAG_CLASS_LOCAL:
+			item->usage = data;
+			break;
+		}
+	}
+}
+
 void usb_hid_print_usage_path(usb_hid_report_path_t *path)
 {
@@ -199,10 +191,10 @@
 	usb_hid_report_usage_path_t *report_item;
 	usb_hid_report_usage_path_t *path_item;
-	
+
 	link_t *report_link;
 	link_t *path_link;
-	
+
 	int only_page;
-	
+
 	if (report_path->report_id != path->report_id) {
 		if (path->report_id != 0) {
@@ -210,14 +202,14 @@
 		}
 	}
-	
+
 	// Empty path match all others
 	if (path->depth == 0) {
 		return 0;
 	}
-	
+
 	if ((only_page = flags & USB_HID_PATH_COMPARE_USAGE_PAGE_ONLY) != 0) {
 		flags -= USB_HID_PATH_COMPARE_USAGE_PAGE_ONLY;
 	}
-	
+
 	switch (flags) {
 	/* Path is somewhere in report_path */
@@ -226,14 +218,14 @@
 			return 1;
 		}
-		
+
 		path_link = list_first(&path->items);
 		path_item = list_get_instance(path_link,
 		    usb_hid_report_usage_path_t, rpath_items_link);
-		
+
 		list_foreach(report_path->items, rpath_items_link,
 		    usb_hid_report_usage_path_t, report_item) {
 			if (USB_HID_SAME_USAGE_PAGE(report_item->usage_page,
 			    path_item->usage_page)) {
-				
+
 				if (only_page == 0) {
 					if (USB_HID_SAME_USAGE(report_item->usage,
@@ -245,8 +237,8 @@
 			}
 		}
-		
+
 		return 1;
 		break;
-	
+
 	/* The paths must be identical */
 	case USB_HID_PATH_COMPARE_STRICT:
@@ -255,19 +247,19 @@
 		}
 		/* Fallthrough */
-	
+
 	/* Path is prefix of the report_path */
 	case USB_HID_PATH_COMPARE_BEGIN:
 		report_link = report_path->items.head.next;
 		path_link = path->items.head.next;
-		
+
 		while ((report_link != &report_path->items.head) &&
 		    (path_link != &path->items.head)) {
-			
+
 			report_item = list_get_instance(report_link,
 			    usb_hid_report_usage_path_t, rpath_items_link);
-			
+
 			path_item = list_get_instance(path_link,
 			    usb_hid_report_usage_path_t, rpath_items_link);
-			
+
 			if (!USB_HID_SAME_USAGE_PAGE(report_item->usage_page,
 			    path_item->usage_page) || ((only_page == 0) &&
@@ -280,5 +272,5 @@
 			}
 		}
-		
+
 		if ((((flags & USB_HID_PATH_COMPARE_BEGIN) != 0) &&
 		    (path_link == &path->items.head)) ||
@@ -290,22 +282,22 @@
 		}
 		break;
-	
+
 	/* Path is suffix of report_path */
 	case USB_HID_PATH_COMPARE_END:
 		report_link = report_path->items.head.prev;
 		path_link = path->items.head.prev;
-		
+
 		if (list_empty(&path->items)) {
 			return 0;
 		}
-		
+
 		while ((report_link != &report_path->items.head) &&
 		      (path_link != &path->items.head)) {
 			report_item = list_get_instance(report_link,
 			    usb_hid_report_usage_path_t, rpath_items_link);
-			
+
 			path_item = list_get_instance(path_link,
 			    usb_hid_report_usage_path_t, rpath_items_link);
-			
+
 			if (!USB_HID_SAME_USAGE_PAGE(report_item->usage_page,
 			    path_item->usage_page) || ((only_page == 0) &&
@@ -318,5 +310,5 @@
 			}
 		}
-		
+
 		if (path_link == &path->items.head) {
 			return 0;
@@ -325,5 +317,5 @@
 		}
 		break;
-	
+
 	default:
 		return -1;
@@ -340,5 +332,5 @@
 	usb_hid_report_path_t *path;
 	path = malloc(sizeof(usb_hid_report_path_t));
-	if(path == NULL){
+	if (path == NULL) {
 		return NULL;
 	}
@@ -363,5 +355,5 @@
 	if (path == NULL)
 		return;
-	while(!list_empty(&path->items)){
+	while (!list_empty(&path->items)) {
 		usb_hid_report_remove_last_item(path);
 	}
@@ -379,16 +371,16 @@
  */
 usb_hid_report_path_t *usb_hid_report_path_clone(
-	usb_hid_report_path_t *usage_path)
+    usb_hid_report_path_t *usage_path)
 {
 	usb_hid_report_usage_path_t *new_path_item;
 	usb_hid_report_path_t *new_usage_path = usb_hid_report_path ();
 
-	if(new_usage_path == NULL){
+	if (new_usage_path == NULL) {
 		return NULL;
 	}
 
 	new_usage_path->report_id = usage_path->report_id;
-	
-	if(list_empty(&usage_path->items)){
+
+	if (list_empty(&usage_path->items)) {
 		return new_usage_path;
 	}
@@ -398,13 +390,13 @@
 
 		new_path_item = malloc(sizeof(usb_hid_report_usage_path_t));
-		if(new_path_item == NULL) {
+		if (new_path_item == NULL) {
 			return NULL;
 		}
-		
+
 		link_initialize(&new_path_item->rpath_items_link);
 		new_path_item->usage_page = path_item->usage_page;
-		new_path_item->usage = path_item->usage;		
-		new_path_item->flags = path_item->flags;		
-		
+		new_path_item->usage = path_item->usage;
+		new_path_item->flags = path_item->flags;
+
 		list_append(&new_path_item->rpath_items_link,
 		    &new_usage_path->items);
@@ -423,8 +415,8 @@
  * @return Error code
  */
-errno_t usb_hid_report_path_set_report_id(usb_hid_report_path_t *path, 
-	uint8_t report_id)
-{
-	if(path == NULL){
+errno_t usb_hid_report_path_set_report_id(usb_hid_report_path_t *path,
+    uint8_t report_id)
+{
+	if (path == NULL) {
 		return EINVAL;
 	}
Index: uspace/lib/usbhid/src/hidreq.c
===================================================================
--- uspace/lib/usbhid/src/hidreq.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbhid/src/hidreq.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -65,23 +65,23 @@
 		return EINVAL;
 	}
-	
-	if (iface_no < 0) {
-		usb_log_warning("usbhid_req_set_report(): no interface given."
-		    "\n");
-		return EINVAL;
-	}
-	
-	/*
-	 * No need for checking other parameters, as they are checked in
-	 * the called function (usb_control_request_set()).
-	 */
-	
-	errno_t rc;
-	
+
+	if (iface_no < 0) {
+		usb_log_warning("usbhid_req_set_report(): no interface given."
+		    "\n");
+		return EINVAL;
+	}
+
+	/*
+	 * No need for checking other parameters, as they are checked in
+	 * the called function (usb_control_request_set()).
+	 */
+
+	errno_t rc;
+
 	uint16_t value = 0;
 	value |= (type << 8);
 
 	usb_log_debug("Sending Set Report request to the device.");
-	
+
 	rc = usb_control_request_set(ctrl_pipe,
 	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE,
@@ -93,5 +93,5 @@
 		return rc;
 	}
-	
+
 	return EOK;
 }
@@ -115,23 +115,23 @@
 		return EINVAL;
 	}
-	
-	if (iface_no < 0) {
-		usb_log_warning("usbhid_req_set_report(): no interface given."
-		    "\n");
-		return EINVAL;
-	}
-	
-	/*
-	 * No need for checking other parameters, as they are checked in
-	 * the called function (usb_control_request_set()).
-	 */
-	
+
+	if (iface_no < 0) {
+		usb_log_warning("usbhid_req_set_report(): no interface given."
+		    "\n");
+		return EINVAL;
+	}
+
+	/*
+	 * No need for checking other parameters, as they are checked in
+	 * the called function (usb_control_request_set()).
+	 */
+
 	errno_t rc;
 
 	usb_log_debug("Sending Set Protocol request to the device ("
 	    "protocol: %d, iface: %d).\n", protocol, iface_no);
-	
-	rc = usb_control_request_set(ctrl_pipe, 
-	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE, 
+
+	rc = usb_control_request_set(ctrl_pipe,
+	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE,
 	    USB_HIDREQ_SET_PROTOCOL, protocol, iface_no, NULL, 0);
 
@@ -141,5 +141,5 @@
 		return rc;
 	}
-	
+
 	return EOK;
 }
@@ -163,23 +163,23 @@
 		return EINVAL;
 	}
-	
-	if (iface_no < 0) {
-		usb_log_warning("usbhid_req_set_report(): no interface given."
-		    "\n");
-		return EINVAL;
-	}
-	
-	/*
-	 * No need for checking other parameters, as they are checked in
-	 * the called function (usb_control_request_set()).
-	 */
-	
+
+	if (iface_no < 0) {
+		usb_log_warning("usbhid_req_set_report(): no interface given."
+		    "\n");
+		return EINVAL;
+	}
+
+	/*
+	 * No need for checking other parameters, as they are checked in
+	 * the called function (usb_control_request_set()).
+	 */
+
 	errno_t rc;
 
 	usb_log_debug("Sending Set Idle request to the device ("
 	    "duration: %u, iface: %d).\n", duration, iface_no);
-	
+
 	uint16_t value = duration << 8;
-	
+
 	rc = usb_control_request_set(ctrl_pipe,
 	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE,
@@ -191,5 +191,5 @@
 		return rc;
 	}
-	
+
 	return EOK;
 }
@@ -203,5 +203,5 @@
  * @param[in][out] buffer Buffer for the report data.
  * @param[in] buf_size Size of the buffer (in bytes).
- * @param[out] actual_size Actual size of report received from the device 
+ * @param[out] actual_size Actual size of report received from the device
  *                         (in bytes).
  *
@@ -210,6 +210,6 @@
  * @return Other value inherited from function usb_control_request_set().
  */
-errno_t usbhid_req_get_report(usb_pipe_t *ctrl_pipe, int iface_no, 
-    usb_hid_report_type_t type, uint8_t *buffer, size_t buf_size, 
+errno_t usbhid_req_get_report(usb_pipe_t *ctrl_pipe, int iface_no,
+    usb_hid_report_type_t type, uint8_t *buffer, size_t buf_size,
     size_t *actual_size)
 {
@@ -218,25 +218,25 @@
 		return EINVAL;
 	}
-	
-	if (iface_no < 0) {
-		usb_log_warning("usbhid_req_set_report(): no interface given."
-		    "\n");
-		return EINVAL;
-	}
-	
-	/*
-	 * No need for checking other parameters, as they are checked in
-	 * the called function (usb_control_request_set()).
-	 */
-	
+
+	if (iface_no < 0) {
+		usb_log_warning("usbhid_req_set_report(): no interface given."
+		    "\n");
+		return EINVAL;
+	}
+
+	/*
+	 * No need for checking other parameters, as they are checked in
+	 * the called function (usb_control_request_set()).
+	 */
+
 	errno_t rc;
 
 	uint16_t value = 0;
 	value |= (type << 8);
-	
+
 	usb_log_debug("Sending Get Report request to the device.");
-	
-	rc = usb_control_request_get(ctrl_pipe, 
-	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE, 
+
+	rc = usb_control_request_get(ctrl_pipe,
+	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE,
 	    USB_HIDREQ_GET_REPORT, value, iface_no, buffer, buf_size,
 	    actual_size);
@@ -247,5 +247,5 @@
 		return rc;
 	}
-	
+
 	return EOK;
 }
@@ -262,5 +262,5 @@
  * @return Other value inherited from function usb_control_request_set().
  */
-errno_t usbhid_req_get_protocol(usb_pipe_t *ctrl_pipe, int iface_no, 
+errno_t usbhid_req_get_protocol(usb_pipe_t *ctrl_pipe, int iface_no,
     usb_hid_protocol_t *protocol)
 {
@@ -269,26 +269,26 @@
 		return EINVAL;
 	}
-	
-	if (iface_no < 0) {
-		usb_log_warning("usbhid_req_set_report(): no interface given."
-		    "\n");
-		return EINVAL;
-	}
-	
-	/*
-	 * No need for checking other parameters, as they are checked in
-	 * the called function (usb_control_request_set()).
-	 */
-	
-	errno_t rc;	
+
+	if (iface_no < 0) {
+		usb_log_warning("usbhid_req_set_report(): no interface given."
+		    "\n");
+		return EINVAL;
+	}
+
+	/*
+	 * No need for checking other parameters, as they are checked in
+	 * the called function (usb_control_request_set()).
+	 */
+
+	errno_t rc;
 
 	usb_log_debug("Sending Get Protocol request to the device ("
 	    "iface: %d).\n", iface_no);
-	
+
 	uint8_t buffer[1];
 	size_t actual_size = 0;
-	
-	rc = usb_control_request_get(ctrl_pipe, 
-	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE, 
+
+	rc = usb_control_request_get(ctrl_pipe,
+	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE,
 	    USB_HIDREQ_GET_PROTOCOL, 0, iface_no, buffer, 1, &actual_size);
 
@@ -298,13 +298,13 @@
 		return rc;
 	}
-	
+
 	if (actual_size != 1) {
 		usb_log_warning("Wrong data size: %zu, expected: 1.",
-			actual_size);
+		    actual_size);
 		return ELIMIT;
 	}
-	
+
 	*protocol = buffer[0];
-	
+
 	return EOK;
 }
@@ -320,38 +320,39 @@
  * @retval EOK if successful.
  * @retval EINVAL if no HID device is given.
- * @return Other value inherited from one of functions 
+ * @return Other value inherited from one of functions
  *         usb_pipe_start_session(), usb_pipe_end_session(),
  *         usb_control_request_set().
  */
-errno_t usbhid_req_get_idle(usb_pipe_t *ctrl_pipe, int iface_no, uint8_t *duration)
-{
-	if (ctrl_pipe == NULL) {
-		usb_log_warning("usbhid_req_set_report(): no pipe given.");
-		return EINVAL;
-	}
-	
-	if (iface_no < 0) {
-		usb_log_warning("usbhid_req_set_report(): no interface given."
-		    "\n");
-		return EINVAL;
-	}
-	
-	/*
-	 * No need for checking other parameters, as they are checked in
-	 * the called function (usb_control_request_set()).
-	 */
-	
+errno_t usbhid_req_get_idle(usb_pipe_t *ctrl_pipe, int iface_no,
+    uint8_t *duration)
+{
+	if (ctrl_pipe == NULL) {
+		usb_log_warning("usbhid_req_set_report(): no pipe given.");
+		return EINVAL;
+	}
+
+	if (iface_no < 0) {
+		usb_log_warning("usbhid_req_set_report(): no interface given."
+		    "\n");
+		return EINVAL;
+	}
+
+	/*
+	 * No need for checking other parameters, as they are checked in
+	 * the called function (usb_control_request_set()).
+	 */
+
 	errno_t rc;
 
 	usb_log_debug("Sending Get Idle request to the device ("
 	    "iface: %d).\n", iface_no);
-	
+
 	uint16_t value = 0;
 	uint8_t buffer[1];
 	size_t actual_size = 0;
-	
-	rc = usb_control_request_get(ctrl_pipe, 
-	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE, 
-	    USB_HIDREQ_GET_IDLE, value, iface_no, buffer, 1, 
+
+	rc = usb_control_request_get(ctrl_pipe,
+	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_INTERFACE,
+	    USB_HIDREQ_GET_IDLE, value, iface_no, buffer, 1,
 	    &actual_size);
 
@@ -361,13 +362,13 @@
 		return rc;
 	}
-	
+
 	if (actual_size != 1) {
 		usb_log_warning("Wrong data size: %zu, expected: 1.",
-			actual_size);
+		    actual_size);
 		return ELIMIT;
 	}
-	
+
 	*duration = buffer[0];
-	
+
 	return EOK;
 }
Index: uspace/lib/usbhost/include/usb/host/bus.h
===================================================================
--- uspace/lib/usbhost/include/usb/host/bus.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbhost/include/usb/host/bus.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -111,5 +111,6 @@
 	int (*device_online)(device_t *);			/**< Optional */
 	void (*device_offline)(device_t *);			/**< Optional */
-	endpoint_t *(*endpoint_create)(device_t *, const usb_endpoint_descriptors_t *);
+	endpoint_t *(*endpoint_create)(device_t *,
+	    const usb_endpoint_descriptors_t *);
 
 	/* Operations on endpoint */
Index: uspace/lib/usbhost/include/usb/host/endpoint.h
===================================================================
--- uspace/lib/usbhost/include/usb/host/endpoint.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbhost/include/usb/host/endpoint.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -102,6 +102,8 @@
 
 	/* Policies for transfer buffers */
-	dma_policy_t transfer_buffer_policy;		/**< A hint for optimal performance. */
-	dma_policy_t required_transfer_buffer_policy;	/**< Enforced by the library. */
+	/** A hint for optimal performance. */
+	dma_policy_t transfer_buffer_policy;
+	/** Enforced by the library. */
+	dma_policy_t required_transfer_buffer_policy;
 
 	/**
@@ -114,5 +116,6 @@
 } endpoint_t;
 
-extern void endpoint_init(endpoint_t *, device_t *, const usb_endpoint_descriptors_t *);
+extern void endpoint_init(endpoint_t *, device_t *,
+    const usb_endpoint_descriptors_t *);
 
 extern void endpoint_add_ref(endpoint_t *);
Index: uspace/lib/usbhost/include/usb/host/hcd.h
===================================================================
--- uspace/lib/usbhost/include/usb/host/hcd.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbhost/include/usb/host/hcd.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -78,5 +78,6 @@
 
 	/** Generate IRQ code to handle interrupts. */
-	int (*irq_code_gen)(irq_code_t *, hc_device_t *, const hw_res_list_parsed_t *, int *);
+	int (*irq_code_gen)(irq_code_t *, hc_device_t *,
+	    const hw_res_list_parsed_t *, int *);
 
 	/** Claim device from BIOS. */
@@ -100,5 +101,6 @@
 
 /* Drivers should call this before leaving hc_add */
-static inline void hc_device_setup(hc_device_t *hcd, bus_t *bus) {
+static inline void hc_device_setup(hc_device_t *hcd, bus_t *bus)
+{
 	hcd->bus = bus;
 }
Index: uspace/lib/usbhost/include/usb/host/usb2_bus.h
===================================================================
--- uspace/lib/usbhost/include/usb/host/usb2_bus.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbhost/include/usb/host/usb2_bus.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -61,5 +61,6 @@
 } usb2_bus_helper_t;
 
-extern void usb2_bus_helper_init(usb2_bus_helper_t *, const bandwidth_accounting_t *);
+extern void usb2_bus_helper_init(usb2_bus_helper_t *,
+    const bandwidth_accounting_t *);
 
 extern int usb2_bus_device_enumerate(usb2_bus_helper_t *, device_t *);
Index: uspace/lib/usbhost/src/bandwidth.c
===================================================================
--- uspace/lib/usbhost/src/bandwidth.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbhost/src/bandwidth.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -73,6 +73,5 @@
 	 * transaction, but I did not find text in USB spec to confirm this */
 	/* NOTE: All data packets will be considered to be max_packet_size */
-	switch (ep->device->speed)
-	{
+	switch (ep->device->speed) {
 	case USB_SPEED_LOW:
 		assert(type == USB_TRANSFER_INTERRUPT);
@@ -143,7 +142,9 @@
 	case USB_SPEED_LOW:
 		if (ep->direction == USB_DIRECTION_IN)
-			return 64060 + (2 * hub_ls_setup) + (677 * base_time) + host_delay;
+			return 64060 + (2 * hub_ls_setup) +
+				(677 * base_time) + host_delay;
 		else
-			return 64107 + (2 * hub_ls_setup) + (667 * base_time) + host_delay;
+			return 64107 + (2 * hub_ls_setup) +
+				(667 * base_time) + host_delay;
 
 	case USB_SPEED_FULL:
Index: uspace/lib/usbhost/src/hcd.c
===================================================================
--- uspace/lib/usbhost/src/hcd.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbhost/src/hcd.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -155,8 +155,9 @@
  * @return Negative error code.
  */
-static errno_t hcd_ddf_setup_interrupts(hc_device_t *hcd, const hw_res_list_parsed_t *hw_res)
+static errno_t hcd_ddf_setup_interrupts(hc_device_t *hcd,
+    const hw_res_list_parsed_t *hw_res)
 {
 	assert(hcd);
-	irq_code_t irq_code = {0};
+	irq_code_t irq_code = { 0 };
 
 	if (!hc_driver->irq_code_gen)
@@ -174,5 +175,6 @@
 	/* Register handler to avoid interrupt lockup */
 	int irq_cap;
-	ret = register_interrupt_handler(hcd->ddf_dev, irq, irq_handler, &irq_code, &irq_cap);
+	ret = register_interrupt_handler(hcd->ddf_dev, irq, irq_handler,
+	    &irq_code, &irq_cap);
 	irq_code_clean(&irq_code);
 	if (ret != EOK) {
@@ -212,5 +214,6 @@
 
 	if (!hc_driver->hc_add) {
-		usb_log_error("Driver '%s' does not support adding devices.", hc_driver->name);
+		usb_log_error("Driver '%s' does not support adding devices.",
+		    hc_driver->name);
 		return ENOTSUP;
 	}
@@ -292,5 +295,5 @@
 
 	usb_log_info("Controlling new `%s' device `%s'.",
-	   hc_driver->name, ddf_dev_get_name(device));
+	    hc_driver->name, ddf_dev_get_name(device));
 	return EOK;
 
Index: uspace/lib/usbvirt/src/ipc_hc.c
===================================================================
--- uspace/lib/usbvirt/src/ipc_hc.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbvirt/src/ipc_hc.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -77,5 +77,6 @@
 	}
 	
-	errno_t rc = async_data_write_start(exch, setup_buffer, setup_buffer_size);
+	errno_t rc = async_data_write_start(exch, setup_buffer,
+	    setup_buffer_size);
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -85,6 +86,6 @@
 	
 	ipc_call_t data_request_call;
-	aid_t data_request = async_data_read(exch, data_buffer, data_buffer_size,
-	    &data_request_call);
+	aid_t data_request = async_data_read(exch, data_buffer,
+	    data_buffer_size, &data_request_call);
 	
 	async_exchange_end(exch);
@@ -150,5 +151,6 @@
 	}
 	
-	errno_t rc = async_data_write_start(exch, setup_buffer, setup_buffer_size);
+	errno_t rc = async_data_write_start(exch, setup_buffer,
+	    setup_buffer_size);
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -158,5 +160,6 @@
 	
 	if (data_buffer_size > 0) {
-		rc = async_data_write_start(exch, data_buffer, data_buffer_size);
+		rc = async_data_write_start(exch, data_buffer,
+		    data_buffer_size);
 		if (rc != EOK) {
 			async_exchange_end(exch);
Index: uspace/lib/usbvirt/src/transfer.c
===================================================================
--- uspace/lib/usbvirt/src/transfer.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbvirt/src/transfer.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -119,5 +119,6 @@
  * @return Error code.
  */
-errno_t usbvirt_control_read(usbvirt_device_t *dev, const void *setup, size_t setup_size,
+errno_t usbvirt_control_read(usbvirt_device_t *dev,
+    const void *setup, size_t setup_size,
     void *data, size_t data_size, size_t *data_size_sent)
 {
